LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices


Reply
  Search this Thread
Old 12-11-2003, 11:35 AM   #1
Wolfgang67
Member
 
Registered: Dec 2003
Location: Cologne/Germany
Distribution: Slackware 9.1 / Suse 9.1
Posts: 56

Rep: Reputation: 15
Lightbulb Ati radeon 9800 pro VIA KT-400 and Suse 9.0 Howto


Now for all you VIA KT-400 and KT-400A users out there my solution (only valid for the original ATI drivers ver 328 from ati.com and for the suse 9.0 OS):

1. Do all the available "YOU-updates" including the new -144-athlon kernel WITH SOURCES, except the nVidia updates. (reboot after that)

!!!!!!!!!! FROM NOW ON DONT TOUCH YAST AND SAX2 AT ALL, don't even think about it !!!!!!!!!!!!!!!!!!

2. cd /usr/src/linux and type (as root) "make cloneconfig && make dep" (without the marks)
3. cd to the directory where you downloaded the drivers to and type (as root)
rpm -Uvh --force fglrx-glc22-4.3.0-3.2.8.i586.rpm

You will be presented the following error message, don't care about it I will explain how to overcome this:

---------------------------------------------------------------------------------------------------------------------------

Preparing... ########################################### [100%]
1:fglrx-glc22 ########################################### [100%]
*** Trying to install a precompiled kernel module.
*** WARNING ***
Tailored kernel module for fglrx not present in your system.
You must go to /lib/modules/fglrx/build_mod subdir
and execute './make.sh' to build a fully customed kernel module.
Afterwards go to /lib/modules/fglrx and run './make_install.sh'
in order to install the module into your kernel's module repository.
(see readme.txt for more details.)

As of now you can still run your XServer in 2D, but hardware acclerated
OpenGL will not work and 2D graphics will lack performance.

failed.
*** Found kernel module build environment, generating kernel module now.
ATI module generator V 2.0
==========================
initializing...
Error:
XFree86 drm includes at /lib/modules/2.4.21-144-athlon/build/include/../drivers/char/drm do not fit this driver.
This driver is designed to only work with X4.1.0 or higher.
You can match this by getting Linux kernel 2.4.8 or higher.
*** WARNING ***
Tailored kernel module for fglrx not present in your system.
You must go to /lib/modules/fglrx/build_mod subdir
and execute './make.sh' to build a fully customed kernel module.
Afterwards go to /lib/modules/fglrx and run './make_install.sh'
in order to install the module into your kernel's module repository.
(see readme.txt for more details.)

As of now you can still run your XServer in 2D, but hardware acclerated
OpenGL will not work and 2D graphics will lack performance.

failed.
/sbin/ldconfig: File /usr/X11R6/lib/FGL.renamed.libGL.so.1.2 is too small, not c hecked.
Installed: qt3 (gcc 3.2) based control panel application
===
ATI display drivers successfully installed
please run 'fglrxconfig' now
===
XP2800:/home/wolfgang/ati #

------------------------------------------------------------------------------------------------------------------------




Now, if you cd to the path /lib/modules/fglrx/build_mod and if you do ./make.sh like requested above you will be presented the following ERROR:




-----------------------------------------------------------------------------------------------------
Error:
XFree86 drm includes at /lib/modules/2.4.21-144-athlon/build/include/../drivers/ char/drm do not fit this driver.
This driver is designed to only work with X4.1.0 or higher.
You can match this by getting Linux kernel 2.4.8 or higher.
-----------------------------------------------------------------------------------------------------



Now the trick:
You might be happy that someone found that there is a fault within the ATI drivers (or suses directory structure?) and that your X-version is actually ok.



Do the following:

make.sh expects Include-files under /lib/modules/2.4.21-144-athlon/build/drivers/char/drm

But actually the sources are under /usr/src/kernel-modules/drm

So build a directory "char"under /lib/modules/2.4.21-144-athlon/build/drivers
and then do a symbolic link from drm to /usr/src/kernel-modules/drm:

cd /lib/modules/2.4.21-144-athlon/build/drivers
md char
cd char
ln -s /usr/src/kernel-modules/drm

After that the files are visible under
/lib/modules/2.4.21-144-athlon/build/drivers/char/drm




It's not yet over!




cd to /lib/modules/fglrx/build_mod and edit the file agpgart_be.c
Do a search for the string "8377" and change the following section:

{ PCI_DEVICE_ID_VIA_8377_0,
PCI_VENDOR_ID_VIA,
VIA_APOLLO_KT400,
"Via",
"Apollo KT400",
via_kt400_setup }, // AGP v2 !!! (was via_generic_setup before)!!!



Now do:

./make.sh
cd /lib/modules/fglrx
./make_install.sh


The last step is to run fglrxconfig.

Just make sure that you use the internal agpgart!!!

Do another reboot, just restarting X didn't cut it for me...

After this installation my machine worked even with AGP 8x enabled in Bios. Had a tough fight though
for over ten days and would like to thank the thousand people posting here and in other forums for this or that little hint which altogether helped me with that issue. I get some 22.000 - 23.000 fps in glxgears now.

One last: After installation don't try to run fglrxinfo or glxgears as root within a console, just use your standard user account or you will otherwise be presented with this error:

---------------------------------------------------------------------
xp-2800:/home/wolfgang # glxgears
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
Error: couldn't open display (null)
---------------------------------------------------------------------


Best from cologne

Wolfgang
 
Old 12-14-2003, 09:50 AM   #2
sirra462
Member
 
Registered: Nov 2003
Posts: 58

Rep: Reputation: 15
This is just a bump so people can see this. I have seen several questions about this.
 
Old 03-25-2004, 07:41 PM   #3
BlinDlucK
LQ Newbie
 
Registered: Sep 2003
Location: New York
Distribution: Whatever I can get my hands on, usually Knoppix.
Posts: 7

Rep: Reputation: 0
will this work with the 9800XT?
 
Old 11-08-2004, 07:35 AM   #4
pibby
Member
 
Registered: Oct 2003
Location: Houston, TX
Distribution: Debian Sid
Posts: 100

Rep: Reputation: 15
Oh my gosh, may I just say that you are my most favorite person of all time. I have been fighting with my Radeon 9600 Pro on Debian for almost 2 weeks now and your howto was pretty much right on! Thank you thank you thank you!

pibby@poopsmith:~$ glxinfo
direct rendering: Yes

pibby@poopsmith:~$ glxgears
17114 frames in 5.0 seconds = 3422.800 FPS
23196 frames in 5.0 seconds = 4639.200 FPS
23186 frames in 5.0 seconds = 4637.200 FPS
23115 frames in 5.0 seconds = 4623.000 FPS
23290 frames in 5.0 seconds = 4658.000 FPS
23257 frames in 5.0 seconds = 4651.400 FPS
23195 frames in 5.0 seconds = 4639.000 FPS
23082 frames in 5.0 seconds = 4616.400 FPS
23204 frames in 5.0 seconds = 4640.800 FPS

pibby@poopsmith:~$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON 9600 Generic
OpenGL version string: 1.3.4641 (X4.3.0-3.14.1)

Again, thank you!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI Radeon 9800/Pro + SuSE 9.0 (freezes after successfull DRI load) Euphorix Linux - Hardware 4 10-02-2006 10:32 AM
ATI Radeon 9800 Pro SUSE 9.3....... HELP!!!! CrazyKvn Linux - Hardware 2 10-05-2005 10:32 PM
ATI Radeon 9800 pro slan124 Mandriva 6 01-25-2005 03:12 PM
Suse 9.1 and ATI Radeon 9800 pro Wolfgang67 Linux - Distributions 40 12-16-2004 08:25 PM
ati radeon 9800 pro with Suse 8.2 wimmo1956 Linux - Newbie 3 09-18-2003 06:12 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware

All times are GMT -5. The time now is 05:13 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration